Bug 1461762 (CVE-2017-9433) - CVE-2017-9433 libmwaw: Out-of-bounds write in the MsWrd1Parser::readFootnoteCorrespondence function
Summary: CVE-2017-9433 libmwaw: Out-of-bounds write in the MsWrd1Parser::readFootnoteC...
Status: CLOSED WONTFIX
Alias: CVE-2017-9433
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170408,repor...
Keywords: Security
Depends On: 1461763
Blocks: 1461764
TreeView+ depends on / blocked
 
Reported: 2017-06-15 09:34 UTC by Andrej Nemec
Modified: 2019-06-08 22:04 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-06-29 13:48:12 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-06-15 09:34:01 UTC
Document Liberation Project libmwaw has an out-of-bounds write caused by a heap-based buffer overflow related to the MsWrd1Parser::readFootnoteCorrespondance function in lib/MsWrd1Parser.cxx.

References:

https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1037

Upstream patch:

https://sourceforge.net/p/libmwaw/libmwaw/ci/68b3b74569881248bfb6cbb4266177cc253b292f/

Comment 1 Andrej Nemec 2017-06-15 09:34:45 UTC
Created libmwaw tracking bugs for this issue:

Affects: fedora-all [bug 1461763]

Comment 3 Stefan Cornelius 2017-06-29 13:48:12 UTC
This can result in a heap-based memory corruption. By tricking a user into opening a specially crafted Microsoft Word document in an application using libmwaw, an attacker could possibly use this flaw to execute arbitrary code with the privileges of the user opening the file.

Comment 4 Stefan Cornelius 2017-06-29 13:48:21 UTC
Statement:

Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.